Bug 174548 - kmem_cache_create: duplicate cache dlm_lvb/range
kmem_cache_create: duplicate cache dlm_lvb/range
Status: CLOSED DUPLICATE of bug 174547
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: dlm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 17:02 EST by Corey Marthaler
Modified: 2009-04-16 16:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 03:54:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-11-29 17:02:30 EST
Description of problem:
After hitting bz174547, and having everything appaerntly shut down and unloaded
(though that I found out that was not the case), my attempt to start every thing
back up caused this kernel panic:

Load mods on link-01:
scsi_mod...sd_mod...dm-mod...qla2300...dlm...No heartbeat from remote hostRemote
command exited with unknown state
fail,
error while loading mods on link-01



CMAN 2.6.9-41.0 (built Nov 28 2005 11:26:37) installed
SLAB: cache with size 32 has lost its name
kmem_cache_create: duplicate cache dlm_lvb/range
----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at slab:1453
invalid operand: 0000 [1] SMP
CPU 0
Modules linked in: dlm(U) cman(U) md5 ipv6 parport_pc lp parport autofs4 i2c_dev
i2c_core sunrpc ds yenta_socket pcmcia_core dm_mod ohci_hcd hw_random tg3 floppy
ext3 jbd qla2300 qla2xxx scsi_transport_fc sd_mod scsi_mod
Pid: 18466, comm: modprobe Not tainted 2.6.9-22.0.1.ELsmp
RIP: 0010:[<ffffffff80161233>] <ffffffff80161233>{kmem_cache_create+1330}
RSP: 0018:000001003ac27ed8  EFLAGS: 00010202
RAX: 0000000000000031 RBX: 000001003ad089b0 RCX: 0000000100000000
RDX: ffffffff803d78c8 RSI: 0000000000000246 RDI: ffffffff8047c4a0
RBP: 000001003f4dca80 R08: ffffffff803d78c8 R09: 000001003ad089b0
R10: 0000000000000000 R11: 0000000000000000 R12: ffffffff8047c4a0
R13: 0000000000000000 R14: 0000010000000000 R15: ffffffffa01f5ac7
FS:  0000002a95574b00(0000) GS:ffffffff804d3080(0000) knlGS:00000000f7fdf6c0
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 000000000051bcb8 CR3: 0000000000101000 CR4: 00000000000006e0
Process modprobe (pid: 18466, threadinfo 000001003ac26000, task 000001003d5ae030)
Stack: 00000100102d86c0 ffffffffa0201920 0000000000000000 0000000000000000
       0000000000000008 00000000fffffff4 ffffffffa0201200 ffffffff803daaa0
       0000002a95577010 00000000005150c0
Call Trace:<ffffffffa01ec1a6>{:dlm:dlm_memory_init+258}
<ffffffffa020301a>{:dlm:init_module+26}
       <ffffffff8014e918>{sys_init_module+316} <ffffffff80110052>{system_call+126}


Code: 0f 0b f1 e5 31 80 ff ff ff ff ad 05 48 8b 1b eb 96 65 48 8b
RIP <ffffffff80161233>{kmem_cache_create+1330} RSP <000001003ac27ed8>
 <0>Kernel panic - not syncing: Oops




I then tried this again on link-02, this time capturing the lsmod output:

[root@link-02 ~]# lsmod
Module                  Size  Used by
md5                     5697  1
ipv6                  282657  12
parport_pc             29185  1
lp                     15089  0
parport                43981  2 parport_pc,lp
autofs4                23241  0
i2c_dev                13633  0
i2c_core               28481  1 i2c_dev
sunrpc                170425  1
ds                     21449  0
yenta_socket           22977  0
pcmcia_core            69329  2 ds,yenta_socket
button                  9057  0
battery                11209  0
ac                      6729  0
ohci_hcd               24273  0
hw_random               7137  0
tg3                    91717  0
floppy                 65809  0
dm_snapshot            18561  0
dm_zero                 3649  0
dm_mirror              28889  0
ext3                  137681  2
jbd                    68849  1 ext3
dm_mod                 66433  6 dm_snapshot,dm_zero,dm_mirror
qla2300               126017  0
qla2xxx               178849  7 qla2300
scsi_transport_fc      11201  1 qla2xxx
sd_mod                 19393  12
scsi_mod              140177  3 qla2xxx,scsi_transport_fc,sd_mod
[root@link-02 ~]# modprobe dlm


CMAN 2.6.9-41.0 (built Nov 28 2005 11:26:37) installed
SLAB: cache with size 32 has lost its name
kmem_cache_create: duplicate cache dlm_lvb/range
----------- [cut here ] --------- [please bite here ] ---------
Kernel BUG at slab:1453
invalid operand: 0000 [1] SMP
CPU 1
Modules linked in: dlm(U) cman(U) md5 ipv6 parport_pc lp parport autofs4 i2c_dev
i2c_core sunrpc ds yenta_socket pcmcia_core button battery ac ohci_hcd hw_random
tg3 floppy dm_snapshot dm_zero dm_mirror ext3jbd dm_mod qla2300 qla2xxx
scsi_transport_fc sd_mod scsi_mod
Pid: 18455, comm: modprobe Not tainted 2.6.9-22.0.1.ELsmp
RIP: 0010:[<ffffffff80161233>] <ffffffff80161233>{kmem_cache_create+1330}
RSP: 0018:00000100190cded8  EFLAGS: 00010202
RAX: 0000000000000031 RBX: 000001003f74c670 RCX: 0000000100000000
RDX: ffffffff803d78c8 RSI: 0000000000000246 RDI: ffffffff8047c4a0
RBP: 000001003bc7b7c0 R08: ffffffff803d78c8 R09: 000001003f74c670
R10: 0000000000000001 R11: ffffffff8011de14 R12: ffffffff8047c4a0
R13: 0000000000000000 R14: 0000010000000000 R15: ffffffffa0211ac7
FS:  0000002a95576b00(0000) GS:ffffffff804d3100(0000) knlGS:00000000f7fdd6c0
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000002a955af00f CR3: 0000000037e28000 CR4: 00000000000006e0
Process modprobe (pid: 18455, threadinfo 00000100190cc000, task 000001003f7ed7f0)
Stack: 0000010003ec0c80 ffffffffa021d920 0000000000000000 0000000000000000
       0000000000000008 00000000fffffff4 ffffffffa021d200 ffffffff803daaa0
       0000002a95579010 00000000005150c0
Call Trace:<ffffffffa02081a6>{:dlm:dlm_memory_init+258}
<ffffffffa021f01a>{:dlm:init_module+26}
       <ffffffff8014e918>{sys_init_module+316} <ffffffff80110052>{system_call+126}


Code: 0f 0b f1 e5 31 80 ff ff ff ff ad 05 48 8b 1b eb 96 65 48 8b
RIP <ffffffff80161233>{kmem_cache_create+1330} RSP <00000100190cded8>
 <0>Kernel panic - not syncing: Oops
Comment 1 Christine Caulfield 2005-11-30 03:54:10 EST
Yes, this is an inevitable consequence of bz#174547

*** This bug has been marked as a duplicate of 174547 ***

Note You need to log in before you can comment on or make changes to this bug.